Bug 339515 - mirror-mode center line doesn't save to file.
Summary: mirror-mode center line doesn't save to file.
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: git master (please specify the git hash!)
Platform: Other Linux
: NOR wishlist
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-29 18:03 UTC by wolthera
Modified: 2019-02-22 05:09 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wolthera 2014-09-29 18:03:15 UTC
Mirror mode centerline, when offset, this does not get saved to file.

From Blender artists( http://blenderartists.org/forum/showthread.php?329324-Krita-2-8-is-out!!!&p=2735905&viewfull=1#post2735905 )
"... I am loving the fact that I can now move my mirror line about pity it doesn't seem to stay put when you open and close a file like line assistants do. "

Maybe save it as a pseudo line assistant?

Reproducible: Always
Comment 1 Halla Rempt 2016-01-24 10:56:43 UTC
WISHGROUP: Small Usability Fixes
Comment 2 Anna Medonosova 2019-02-22 05:09:15 UTC
Git commit 54d3dc15daa1b2adc8708aa70ae3726c9301dcf1 by Anna Medonosova.
Committed on 22/02/2019 at 05:09.
Pushed by amedonosova into branch 'master'.

Saving Mirror Tool state to KRA

Summary:
Saving Mirror Tool state to KRA file, wished for in bug 339515.

Test Plan:
  - Set up mirror lines. Save, close and reopen. Expected result: the mirror lines and options should be automatically set and activated.
  - Open multiple files, with and without mirror lines. Expected result: Every open document should have separate configuration. Toolbar actions should affect only the currently active view.

Reviewers: #krita, rempt

Reviewed By: #krita, rempt

Subscribers: rempt

Tags: #krita

Differential Revision: https://phabricator.kde.org/D18254

M  +2    -1    libs/ui/CMakeLists.txt
M  +21   -0    libs/ui/KisDocument.cpp
M  +6    -0    libs/ui/KisDocument.h
A  +246  -0    libs/ui/canvas/KisMirrorAxisConfig.cpp     [License: LGPL]
A  +103  -0    libs/ui/canvas/KisMirrorAxisConfig.h     [License: LGPL]
M  +137  -74   libs/ui/canvas/kis_mirror_axis.cpp
M  +6    -0    libs/ui/canvas/kis_mirror_axis.h
M  +40   -1    libs/ui/kis_mirror_manager.cpp
M  +8    -3    libs/ui/kis_mirror_manager.h
M  +8    -0    libs/ui/kis_paintop_box.cc
M  +14   -0    plugins/impex/libkra/kis_kra_loader.cpp
M  +1    -0    plugins/impex/libkra/kis_kra_loader.h
M  +15   -0    plugins/impex/libkra/kis_kra_saver.cpp
M  +1    -0    plugins/impex/libkra/kis_kra_saver.h
M  +1    -0    plugins/impex/libkra/kis_kra_tags.h

https://commits.kde.org/krita/54d3dc15daa1b2adc8708aa70ae3726c9301dcf1